# Method SSL.packet()->recv()

Method recv

  ``object`|`string` recv(`string` `data`, `ProtocolVersion` `version`)`

Description

  Receive data read from the network.

Parameter `data`

  Raw data from the network.

Parameter `version`

  Minor version of the SSL 3 protocol suite to create a packet for.

Returns

  Returns a string of leftover data if packet is complete, otherwise `0`.

  If there's an error, an alert object is returned.